Method: buyers.clients.activate
Stay organized with collections
Save and categorize content based on your preferences.
outlined_flag
The documentation describes how to activate an existing client using an HTTP POST request.
The request requires a specific format for the name parameter which includes the buyer and client account IDs.
The request body must be empty for this operation.
A successful response returns an instance of the Client resource.
Activating a client requires the https://www.googleapis.com/auth/authorized-buyers-marketplace authorization scope.
Activates an existing client. The state of the client will be updated to "ACTIVE". This method has no effect if the client is already in "ACTIVE" state.
HTTP request
POST https://authorizedbuyersmarketplace.googleapis.com/v1/{name=buyers/*/clients/*}:activate
The URL uses gRPC Transcoding syntax.
Path parameters
Parameters
name
string
Required. Format: buyers/{buyerAccountId}/clients/{clientAccountId}
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Client .
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/authorized-buyers-marketplace
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2024-09-18 UTC.
[null,null,["Last updated 2024-09-18 UTC."],[],[]]